Template talk:Infobox islands

(Redirected from Template talk:Infobox islands/styles.css)
Latest comment: 29 days ago by Chipmunkdavis in topic Default image size

Bug in length_km parameter

edit

On Jaco Island, the length in the infobox is displayed as "4,2 km (26.1 mi)". "length_km=4,2" is in the markup. Of course, the automatic conversion should read "2.61 mi". (No comment on the extra significant digit.) 128.91.40.237 (talk) 14:53, 27 October 2025 (UTC)Reply

That is invalid input. I have fixed it and created a test case at Template:Infobox islands/length/testcases if anyone wants to fix the template itself. – Jonesey95 (talk) 15:17, 29 October 2025 (UTC)Reply
Thank you. I expect Europeans might do this a lot, though. ~2025-31453-37 (talk) 17:07, 5 November 2025 (UTC)Reply

"Native name" label

edit

Why does this template put a label "Native name" on the native name, unlike other templates like {{Infobox settlement}}? You can see an example at Elba, and an example of {{Infobox settlement}} at Montreal.

Secondarily, why does this template take a |native_name_link= parameter? The link gets applies to the text "Native name", which is an Easter egg link discouraged by the Manual of Style. I thought standard practice was to wrap the |native_name= in {{native_name|lang}}, which adds a label and link, e.g. {{native_name|it|Elba}}Elba (Italian)

W.andrea (talk) 01:19, 11 March 2026 (UTC)Reply

Also, the native name shouldn't be bolded by default, per MOS:FOREIGNEQUIV: "Do not boldface non-English names not normally used in English.". — W.andrea (talk) 01:49, 11 March 2026 (UTC)Reply
There are previous discussions in archive 1: § Native name field (2010) and § "Native name" parameter issue - unclear to reader what the language is (2021). — W.andrea (talk) 02:02, 11 March 2026 (UTC)Reply

Default image size

edit

The default image size is far too big, and messes up the article pages. Could someone fix that? kallerna 09:07, 21 May 2026 (UTC)Reply

Removing the existing upright code should fix it. It may be a leftover from when the default imgsize was 220px, and so is causing issues now that the default imgsize is 250px. CMD (talk) 11:43, 21 May 2026 (UTC)Reply